# PhasicFlow: countField Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

countField Class Reference
Collaboration diagram for countField:
[legend]

## Public Member Functions

| TypeInfo ("countField")
| countField (const dictionary &dict, repository &rep)
auto & | dict ()
const auto & | dict () const
auto & | timeFolderRepository ()
auto & | timeFolder ()
word | variableName () const
bool | process (uint32 &countedValue)

## Static Protected Member Functions

static bool | getFieldType (const dictionary &dict, readFromTimeFolder &timeFolder, word &fieldName, word &fieldType)

## Protected Attributes

dictionary | dict_
readFromTimeFolder | timeFolder_
uniquePtr< includeMask > | includeMask_ = nullptr

## Detailed Description

Definition at line 36 of file countField.hpp.

## Constructor & Destructor Documentation

## countField()

countField | ( | const dictionary & | dict,
|  | repository & | rep
| ) |  |

Definition at line 63 of file countField.cpp.

References includeMask::create(), countField::dict_, dictionary::getVal(), countField::includeMask_, dictionary::subDictOrCreate(), and countField::timeFolder_.

Here is the call graph for this function:

## Member Function Documentation

## getFieldType()

bool getFieldType | ( | const dictionary & | dict,
|  | readFromTimeFolder & | timeFolder,
|  | word & | fieldName,
|  | word & | fieldType
| ) |  |

staticprotected

Definition at line 25 of file countField.cpp.

References countField::dict(), pFlow::endl(), fatalErrorInFunction, twoPartEntry::firstPart(), and pFlow::isTwoPartEntry().

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "countField" |  | ) |

## dict() [1/2]

auto& dict | ( |  | ) |

inline

Definition at line 59 of file countField.hpp.

References countField::dict_.

Referenced by countField::getFieldType().

Here is the caller graph for this function:

## dict() [2/2]

const auto& dict | ( |  | ) | const

inline

Definition at line 64 of file countField.hpp.

References countField::dict_.

## timeFolderRepository()

auto& timeFolderRepository | ( |  | ) |

inline

Definition at line 69 of file countField.hpp.

References readFromTimeFolder::db(), and countField::timeFolder_.

Here is the call graph for this function:

## timeFolder()

auto& timeFolder | ( |  | ) |

inline

Definition at line 75 of file countField.hpp.

References countField::timeFolder_.

## variableName()

word variableName | ( |  | ) | const

inline

Definition at line 80 of file countField.hpp.

References countField::dict_, and iEntry::name().

Here is the call graph for this function:

## process()

bool process | ( | uint32 & | countedValue | ) |

Definition at line 78 of file countField.cpp.

References n.

Referenced by countFields::process().

Here is the caller graph for this function:

## Member Data Documentation

## dict_

dictionary dict_

protected

Definition at line 40 of file countField.hpp.

Referenced by countField::countField(), countField::dict(), and countField::variableName().

## timeFolder_

readFromTimeFolder timeFolder_

mutableprotected

Definition at line 42 of file countField.hpp.

Referenced by countField::countField(), countField::timeFolder(), and countField::timeFolderRepository().

## includeMask_

uniquePtr<includeMask> includeMask_ = nullptr

protected

Definition at line 44 of file countField.hpp.

Referenced by countField::countField().

The documentation for this class was generated from the following files:

- utilities/postprocessPhasicFlow/countField.hpp
- utilities/postprocessPhasicFlow/countField.cpp